Uses of Class
de.fzj.unicore.wsrflite.exceptions.ResourceUnknownException

Packages that use ResourceUnknownException
de.fzj.unicore.wsrflite This package contains the main interfaces and major classes of the WSRFlite hosting environment. 
de.fzj.unicore.wsrflite.impl   
de.fzj.unicore.wsrflite.xmlbeans.wsn.impl   
 

Uses of ResourceUnknownException in de.fzj.unicore.wsrflite
 

Methods in de.fzj.unicore.wsrflite that throw ResourceUnknownException
 String Home.extractServiceReference(org.codehaus.xfire.MessageContext context)
          retrieve the correct service instance id, based on the message context TODO refactor to use some abstract context
 WSRFInstance Home.get(String id)
          Get a wsrf instance for read access (i.e. without aquiring a lock)
 WSRFInstance Home.getForUpdate(String id)
          Get a wsrf instance for update (i.e. aquire a lock)
 Calendar Home.getTerminationTime(String resourceId)
          Get the termination time of an WS-Resource
 void Home.setTerminationTime(String resourceId, Calendar newTT)
          Set the termination time of an WS-Resource
 

Uses of ResourceUnknownException in de.fzj.unicore.wsrflite.impl
 

Methods in de.fzj.unicore.wsrflite.impl that throw ResourceUnknownException
 boolean InstanceChecker.check(Home home, String uniqueID)
          check condition
 boolean ExpiryChecker.check(Home home, String id)
           
 String DefaultHome.extractServiceReference(org.codehaus.xfire.MessageContext context)
          retrieve the unique service instance id from the message context This can be as a query parameter in the wsa:To, or as a ReferenceParameter, or (as fallback) as a query parameter in the HTTP transport URL
 WSRFInstance DefaultHome.get(String id)
           
 WSRFInstance DefaultHome.getForUpdate(String id)
           
 boolean InstanceChecker.process(Home home, String uniqueID)
          perform processing on the instance (in case check() hits)
 

Uses of ResourceUnknownException in de.fzj.unicore.wsrflite.xmlbeans.wsn.impl
 

Methods in de.fzj.unicore.wsrflite.xmlbeans.wsn.impl that throw ResourceUnknownException
 boolean WSNEventChecker.check(Home home, String id)
          this will invoke GetResourcePropertyDocument() and thus events will be generated
 



Copyright © 2010. All Rights Reserved.